<template>
  <q-page class="bg-color-2" style="height: 100%">
    <div class="col-6">
      <div class="lh-history-list">
        <q-toolbar class="text-primary">
          <div class="lh-history-header">HISTORY</div>
          <q-space />
          <q-btn
            class="top-delete-button"
            unelevated
            rounded
            color="accent"
            label="Delete all"
            @click="clearAndCleanup"
          />
        </q-toolbar>
        <history-view :history="history"></history-view>
      </div>

      <div class="text-center">
        <q-img
          class="vertical-middle"
          src="/imgs/bobbing-ship-water.svg"
          spinner-color="white"
          style="width: 96px; margin-top: 48px"
        />
      </div>
      <div class="text-center">
        <q-img
          class="vertical-middle bobbing"
          src="/imgs/bobbing-ship.svg"
          spinner-color="white"
          style="width: 96px; margin-top: -102px !important"
        />
      </div>

      <div class="text-center">
        <q-img
          class="vertical-middle"
          src="/imgs/bobbing-ship-front.svg"
          spinner-color="white"
          style="width: 96px; margin-top: -144px !important"
        />
      </div>
    </div>
  </q-page>
</template>
<script>
import { mapGetters, mapActions } from "vuex";
import HistoryView from "../components/HistoryView";

export default {
  components: {
    HistoryView,
  },
  data() {
    return {};
  },
  methods: {
    ...mapActions({
      removeSearch: "search/removeSearch",
      clearHistory: "search/clearHistory",
    }),
    clearAndCleanup() {
      this.clearHistory();
      this.$router.push("/app/search");
    },
  },
  computed: {
    ...mapGetters({
      history: "search/userSearchHistory",
    }),
  },
};
</script>
<style scoped>
.bg-color-2 {
  background-color: #d5b3ff;
}
.This-is-the-thing-I {
  height: 18px;
  font-size: 14px;
  font-weight: normal;
  font-style: normal;
  font-stretch: normal;
  line-height: normal;
  letter-spacing: normal;
  color: #27261e;
}
.lh-history-list {
  margin-left: auto;
  margin-right: auto;
  max-width: 936px;
  box-shadow: 0 16px 24px 0 rgba(120, 93, 153, 0.2);
  background-color: #ffffff;
  padding-bottom: 24px;
  border-bottom-left-radius: 8px;
  border-bottom-right-radius: 8px;
}

.lh-history-header {
  height: 26px;
  font-size: 24px;
  font-weight: bold;
  font-style: normal;
  font-stretch: normal;
  line-height: 1.08;
  letter-spacing: normal;
  color: #b375ff;
  margin-top: 16px;
  margin-left: 10px;
}
.top-delete-button {
  margin-top: 12px;
  text-transform: none;
  font-weight: bold;
  padding-left: 10px;
  padding-right: 10px;
  padding-top: 3px;
  padding-top: 3px;
  margin-right: 10px;
}
.q-page {
  margin-top: 24px;
}
.bobbing {
  animation: bobbing 2.5s ease-in-out infinite alternate;
}

@keyframes bobbing {
  0% {
    transform: translateY(0px);
  }
  100% {
    transform: translateY(3.5px);
  }
}
</style>
